#include "gfx/gfx.h"
#include "vec2/vec2.h"
#include "planet/planet.h"
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <unistd.h>

#define SCREEN_WIDTH 1000
#define SCREEN_HEIGHT 1000
#define DELTA_T 5000.0


double delta_t = DELTA_T;


int main() {
	srand(time(NULL));
	struct gfx_context_t* ctxt = gfx_create("Planetary system", SCREEN_WIDTH, SCREEN_HEIGHT);
	if (!ctxt) {
		fprintf(stderr, "Graphics initialization failed!\n");
		return EXIT_FAILURE;
	}

	system_t sys = create_system(delta_t);
	while (true) {
		gfx_present(ctxt);
		gfx_clear(ctxt, COLOR_BLACK);
		show_system(ctxt, &sys);
		update_system(&sys, delta_t);
		if (gfx_keypressed() == SDLK_ESCAPE) { break; }
	}

	free_system(&sys);
	gfx_destroy(ctxt);
	return EXIT_SUCCESS;
}
