#ifndef PLANET_CONSTANTS_H
#define PLANET_CONSTANTS_H


// physical constants
#define G 6.67e-11
#define M_SOLEIL 1.989e30

// perihelion
#define PER_MERCURE 4.60012e10
#define PER_VENUS   1.07477e11
#define PER_TERRE   1.47095e11
#define PER_MARS    2.06700e11

// mass
#define M_MERCURE   3.3011e23
#define M_VENUS     4.8675e24
#define M_TERRE     5.9742e24
#define M_MARS      6.4171e23

// excentricity
#define E_MERCURE   0.205630
#define E_VENUS     0.006772
#define E_TERRE     0.0167086
#define E_MARS      0.0934

// major axis
#define A_MERCURE   5.7909e10
#define A_VENUS     1.0821e11
#define A_TERRE     1.4960e11
#define A_MARS      2.2794e11

// radius: no hope of writing anything user-friendly that is to scale...
#define R_SUN       6.96342e8
#define R_MERCURY   2.4397e6
#define R_VENUS     6.0518e6
#define R_EARTH     6.3710e6
#define R_MARS      3.3895e6


#endif //PLANET_CONSTANTS_H
